{{ if .Values.web.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ default (include "app.fullname" .) .Values.web.service.name }}
  labels:
    {{- include "app.labels" . | nindent 4 }}
    app.kubernetes.io/component: web
    {{- with .Values.web.service.labels -}}
      {{ toYaml . | nindent 4 }}
    {{- end }}
spec:
  type: {{ .Values.web.service.type }}
  ports:
    - port: {{ .Values.web.service.port }}
      targetPort: {{ .Values.web.service.targetPort }}
      protocol: TCP
      name: http
  selector:
    {{- include "app.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: web
{{- end }}
